Skip to main content
POST
/
sequences
/
{sequenceId}
/
products
cURL
curl --request POST \
  --url https://admin.fanfare.io/api/sequences/{sequenceId}/products \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "weight": 123
}
'
{
  "archived": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "sequenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "weight": 500,
  "updatedAt": "2023-11-07T05:31:56Z",
  "updatedBy": "<string>"
}

Authorizations

Authorization
string
header
required

Fanfare secret key. Keep secret credentials on your server.

Path Parameters

sequenceId
string
required

Body

application/json
productId
string<uuid>
required
weight
number
required

Response

Sequence product created successfully

archived
boolean
required
createdAt
string<date-time>
required
createdBy
string
required
id
string<uuid>
required
organizationId
string<uuid>
required
productId
string<uuid>
required
sequenceId
string<uuid>
required
weight
integer
required
Required range: 1 <= x <= 1000
updatedAt
string<date-time> | null
updatedBy
string | null